﻿xquery version "3.0" encoding "UTF-8";
import module namespace bib="http://mes-itineraires/bib" 
              at "b2-sans-accents.xquery";
declare namespace iti="http://mes-itineraires";
(: Dénivelés par tranche de 0 à 199, 200 à 399, 400 à 599, ... 
   en omettant les tranches vides :)
declare function local:no-tranche($n as xs:integer)
        as xs:integer
   {$n idiv 200};
declare function local:tranche($n as xs:integer) 
        as xs:string
   {
   let $début := $n * 200
   return $début || "-" || ($début + 199)
   };
<réponse>
   {
   let $dénivelés :=
      (for $d in $bib:itineraires-queyras//fn:data(iti:denivele)
       order by $d
       return $d)
   let $nos-tranches :=
      fn:distinct-values(
         for $d in $dénivelés
         return local:no-tranche($d))
   for $dc in $nos-tranches
   return
      (let $w :=
          (for $d in $dénivelés
           where local:no-tranche($d) = $dc
           return $d)
       return
          <tranche val="{local:tranche($dc)}">{$w}</tranche>)
   }
</réponse>