﻿xquery version "3.0" encoding "UTF-8";
import module namespace bib="http://mes-itineraires/bib" 
              at "b2-sans-accents.xquery";
declare namespace iti="http://mes-itineraires";
(: Dénivelés par tranche glissantes de d à d + 99 m 
   pour d < 1000 :)
declare function local:tranche($n as xs:integer) 
        as xs:string
   {
   $n || "-" || ($n + 99)
   };
<réponse>
   {
   let $dénivelés :=
      (for $d in $bib:itineraires-queyras//fn:data(iti:denivele)
       order by $d
       return $d)
   for $d1 at $r1 in $dénivelés
   where $d1 < 1000
   return
      <tranche val="{local:tranche($d1)}">
         {
         for $d2 at $r2 in $dénivelés
         where $r2 >= $r1 and $d2 <= $d1 + 99
         return $d2
         }
      </tranche>
   }
</réponse>