﻿xquery version "3.0" encoding "UTF-8";
import module namespace bib="http://mes-itineraires/bib" 
              at "b2.xquery";
declare namespace iti="http://mes-itineraires";
(: Auto-jointure extérieure de la séquence des itinéraires 
   par l'égalité des lieux d'arrivée :)
<réponse>
   {
   for $i1 in $bib:itinéraires-queyras//iti:itinéraire
   return
      let $itis := ($bib:itinéraires-queyras
                   //iti:itinéraire[iti:arrivée = $i1/iti:arrivée]) except $i1
      return
         if (fn:empty($itis)) then
            <i1-i2 i1="{$i1/@id}"/>
         else
            (for $i2 allowing empty in $itis
             return 
                <i1-i2 i1="{$i1/@id}" i2="{$i2/@id}" arrivée="{$i2/iti:arrivée}"/>)
   }
</réponse> 