﻿public static void aTwoXQpipeline() throws XQException {
  XQConnection conn = createConnection();
  XQResultSequence xqseq1 = conn
    .createExpression()
    .executeQuery("fn:distinct-values(
      fn:doc('/db/Guide/queyras.xml')//cotation)");
  XQExpression xqexp2 = conn.createExpression();
  xqexp2.bindSequence(new QName("cotations"), xqseq1);
  String e2 =
    "declare variable $cotations as xs:untypedAtomic* external;"
    + "<réponse> "
    + "  {for $c in $cotations order by $c return"
    + "     <difficulté valeur='{$c}'>"
    + "       {for $i in"
    + "          fn:doc('/db/Guide/queyras.xml')//itinéraire"
    + "        where $i/*:cotation = $c"
    + "        return <iti id='{$i/@id}'/>}"
    + "     </difficulté>}"
    + "</réponse>";
  XQSequence xqseq2 = xqexp2.executeQuery(e2);
  xqseq2.writeSequence(System.out, null);
  xqseq2.close();
  xqseq1.close();
}
