﻿<?php
header('Content-type: text/html');
require_once 'XQueryProcessor.php';
$xquery = new XQueryProcessor();
$query = <<<'XQ'
declare variable $alt as xs:integer external;
declare variable $doc as document-node() external;
<html>
<head>
<title>Itinéraires dont l'altitude d'arrivée est supérieure à 3000 m</title>
</head>
<body>
<table>
   {
   for $i in $doc//itinéraire[alt > $alt]
   order by $i/@id
   return
      <tr>
      <td>{fn:data($i/@id)}</td>
      <td>{fn:data($i/cotation)}</td>
      </tr>
   }
</table>
</body>
</html>
XQ;
$xquery->importQuery($query);
$xquery->setVariable("alt", 3000);
$doc = simplexml_load_file("queyras.xml");
// ou $doc = $xquery->parseXL("<guide>...</guide>");
$xquery->setVariable("doc", $doc);
echo $xquery->execute();
?>
