﻿xquery version "3.0" encoding "UTF-8";
import module namespace bib="http://mes-itineraires/bib" 
              at "b2-sans-accents.xquery";
declare namespace iti="http://mes-itineraires";
(: Dénivelés par tranche glissantes de d à d + 99 m 
   pour d < 1000 :)
declare function local:tranche($n as xs:integer) 
        as xs:string
   {
   $n || "-" || ($n + 99)
   };
<réponse>
   {
   let $dénivelés :=
      (for $d in $bib:itineraires-queyras//fn:data(iti:denivele)
       order by $d
       return $d)
   for sliding window $w in $dénivelés
       start $i-prem when $i-prem < 1000
       end next $i-suiv
           when fn:empty($i-suiv) or 
                $i-suiv > $i-prem + 99
   return <tranche val="{local:tranche($i-prem)}">{$w}</tranche>
   }
</réponse>