﻿xquery version "3.0" encoding "UTF-8";
import module namespace bib="http://mes-itineraires/bib" 
              at "b2.xquery";
declare namespace iti="http://mes-itineraires";
(: Regroupement des itinéraires par lieu de départ et par cotation.
   Retour des groupes de plus d'un itinéraire, triés par lieu de départ 
   et par cotation :)
<réponse>
   {
   for $i in $bib:itinéraires-queyras//iti:itinéraire
   let $d := $i/iti:départ
   let $c := $i/iti:cotation
   group by fn:upper-case($d), $c 
   let $nb := fn:count($i)
   where $nb > 1
   order by fn:upper-case($d), $c 
   return <groupe départ="{$d}"
                  cotation="{$c}"
                  nb="{$nb}"/>
   }
</réponse>