﻿xquery version "1.0" encoding "UTF-8";
(: Traversées entre secteurs :)
declare namespace g="http://mes-guides-randos";
declare variable $secteurs := fn:doc("queyras.xml")//g:secteur;
declare function local:trajets-de-à($s1 as element(g:secteur), 
                                    $s2 as element(g:secteur))
        as element(trajet)*
   {
   for $i1 in $s1/g:itinéraire
   for $i2 in $s2/g:itinéraire
   where $i1/g:nom = $i2/g:nom
   return <trajet>{fn:data($i1/@id)}-{$i1/g:nom/text()}-{fn:data($i2/@id)}</trajet>
   };
<réponse>
   {
   for $s1 in $secteurs
   for $s2 in ($secteurs except $s1)
   let $trajets := local:trajets-de-à($s1, $s2)
   where fn:not(fn:empty($trajets))
   return
      <traversée de="{$s1/g:nom}" à="{$s2/g:nom}">
         {$trajets}
      </traversée>
   }
</réponse>
