﻿xquery version "1.0" encoding "UTF-8";
(: Construction d'un document contenant le nom de chaque secteur 
   et la moyenne des altitudes d'arrivée de ses itinéraires :)
document
   {
   <secteurs>
      {
      for $s in fn:doc("queyras.xml")//secteur
      return
         (comment {$s/nom},
          element sec
             {$s/@id,           
              attribute alt-moyenne 
                        {fn:round(fn:avg($s/itinéraire/alt))}})
      }
   </secteurs>
   }