﻿xquery version "1.0" encoding "UTF-8";
(: Noms et secteur de sépart des lieux (sommets ou cols) 
   qui ne sont accessibles qu'à partir d'un seul secteur :)
for $s1 in fn:doc("queyras.xml")//secteur
for $lieu in fn:distinct-values($s1/itinéraire/nom)
where fn:not(some $s2 in fn:doc("queyras.xml")//secteur 
             satisfies fn:not($s1 is $s2) and $s2/itinéraire/nom = $lieu)
return <lieu nom="{$lieu}" secteur="{$s1/nom}"/>
