﻿xquery version "3.0" encoding "UTF-8";
import module namespace bib="http://mes-itineraires/bib" 
              at "b2.xquery";
declare namespace iti="http://mes-itineraires";
(: Nombre d'itinéraires par lieu de départ et par cotation :)
<réponse>
   {
   let $itis := $bib:itinéraires-queyras//iti:itinéraire
   for $d in fn:distinct-values($itis/iti:départ)
   for $c in fn:distinct-values($itis/iti:cotation)
   order by fn:upper-case($d), $c
   return 
      (let $nb := fn:count(for $i in $itis
                           where $i/iti:départ = $d and 
                                 $i/iti:cotation = $c
                           return $i)
       return
          if ($nb > 1) then
             <groupe départ="{$d}" cotation="{$c}" nb="{$nb}"/>
          else
             ())
   }
</réponse>