﻿xquery version "3.0" encoding "UTF-8";
import module namespace bib="http://mes-itineraires/bib" 
              at "b2-sans-accents.xquery";
declare namespace iti="http://mes-itineraires";
(: Auto-jointure extérieure de la séquence des itinéraires 
   par l'égalité des lieux d'arrivée :)
<réponse>
   {
   for $i1 in $bib:itineraires-queyras//iti:itineraire
   for $i2 allowing empty in 
      ($bib:itineraires-queyras
       //iti:itineraire[iti:arrivee = $i1/iti:arrivee]) except $i1
   return 
      if (fn:empty($i2/*)) then
         <i1-i2 i1="{$i1/@id}"/>
      else
         <i1-i2 i1="{$i1/@id}" i2="{$i2/@id}" arrivée="{$i2/iti:arrivee}"/>
   }
</réponse> 