﻿xquery version "1.0" encoding "UTF-8";
(: Liste des cols et des itinéraires y accédant :)
<réponse>
   {
   let $itis := fn:doc("queyras.xml")//itinéraire
   for $n in fn:distinct-values($itis/nom[fn:starts-with(., "Col ")])
   order by $n
   return
      let $itis-n := $itis[nom = $n]
      return
         <col>
            {$itis-n[1]/nom}
            {$itis-n[1]/alt}
            <nb-itis>{fn:count($itis-n)}</nb-itis>
            {
            for $i in $itis-n
            let $c := $i/cotation
            let $s := $i/parent::secteur/nom
            order by $c descending, $s ascending
            return
               <iti id="{$i/@id}" sec="{$s}" cotation="{$c}"/>
            }
         </col>
   }
</réponse>
