﻿xquery version "1.0" encoding "UTF-8";
(: Désannotation des paragraphes du guide queyras.xml :)
declare namespace g="http://mes-guides-randos"; 
declare function local:désannoter-para($p as element(g:para))
        as element(g:para)
   {
   <g:para>
      {
      for $n in $p/node()
      return
         typeswitch($n)
         case element(g:renvoi) return
            (text {"itinéraire no "}, 
             text {fn:substring-after(fn:data($n/@cible), ".")})
         case element(g:note) return $n/text()
         default return $n
      }
   </g:para>
   };
declare function local:désannoter-noeud($n as node()) as node()
   {
   typeswitch($n)
   case element(g:para) return local:désannoter-para($n)
   case element() return
      element 
         {fn:concat("g:", fn:local-name($n))}
         {
         $n/attribute::*,
         for $e in $n/child::node()
         return local:désannoter-noeud($e)
         }
   case document-node() return 
      document {local:désannoter-noeud($n/*)}
   default return $n
   };
local:désannoter-noeud(fn:doc("queyras.xml"))
